net.sf.jasperreports.engine.fill

## Class ThreadExecutorSubreportRunner

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRSubreportRunnable
  - - net.sf.jasperreports.engine.fill.AbstractThreadSubreportRunner
    - - net.sf.jasperreports.engine.fill.ThreadExecutorSubreportRunner

- All Implemented Interfaces:
    java.lang.Runnable, JRSubreportRunner

      public class ThreadExecutorSubreportRunner
      extends AbstractThreadSubreportRunner

  Thread-based `JRSubreportRunner` implementation.

  The subreport fill is launched in a new thread which coordinates suspend/resume actions with the master thread.

  Version:
    $Id: ThreadExecutorSubreportRunner.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.AbstractThreadSubreportRunner

      `subreportFiller`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadExecutorSubreportRunner(JRFillSubreport fillSubreport, JRBaseFiller subreportFiller, java.util.concurrent.Executor threadExecutor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doStart()`
    `boolean` | `isFilling()` Decides whether the subreport filling has ended or not.
    `void` | `reset()` Resets the runner, preparing it for a new fill.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.AbstractThreadSubreportRunner

      `cancel, resume, run, start, suspend, waitResult`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRSubreportRunnable

      `isRunning, runResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadExecutorSubreportRunner

          public ThreadExecutorSubreportRunner(JRFillSubreport fillSubreport,
                                       JRBaseFiller subreportFiller,
                                       java.util.concurrent.Executor threadExecutor)

  - ### Method Detail

    - #### isFilling

          public boolean isFilling()

      Description copied from interface: `JRSubreportRunner`
      Decides whether the subreport filling has ended or not.
      Returns:
        `true` if and only if the subreport filling has not ended

    - #### doStart

          protected void doStart()

      Specified by:
        `doStart` in class `AbstractThreadSubreportRunner`

    - #### reset

          public void reset()

      Description copied from interface: `JRSubreportRunner`
      Resets the runner, preparing it for a new fill.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com